Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMainWindow.DockOption

    java.lang.Object
      java.lang.Enum<QMainWindow.DockOption>
          com.trolltech.qt.gui.QMainWindow.DockOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMainWindow.DockOption>

Enclosing class:
  QMainWindow

    public static enum QMainWindow.DockOption

extends java.lang.Enum<QMainWindow.DockOption>
implements QtEnumerator

This enum contains flags that specify the docking behavior of `QMainWindow`.

These options only control how dock widgets may be dropped in a `QMainWindow`. They do not re-arrange the dock widgets to conform with the specified options. For this reason they should be set before any dock widgets are added to the main window. Exceptions to this are the `AnimatedDocks` and `VerticalTabs` options, which may be set at any time.

Enum Constant Summary
`AllowNestedDocks` Identical to the `dockNestingEnabled` property.
`AllowTabbedDocks` The user can drop one dock widget "on top" of another.
`AnimatedDocks` Identical to the animated property.
`ForceTabbedDocks` Each dock area contains a single stack of tabbed dock widgets.
`VerticalTabs` The two vertical dock areas on the sides of the main window show their tabs vertically.

Method Summary
`static QMainWindow.DockOptions` | `createQFlags(QMainWindow.DockOption... values)`
`static QMainWindow.DockOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMainWindow.DockOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMainWindow.DockOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AnimatedDocks

    public static final QMainWindow.DockOption AnimatedDocks

  Identical to the animated property.

### AllowNestedDocks

    public static final QMainWindow.DockOption AllowNestedDocks

  Identical to the `dockNestingEnabled` property.

### AllowTabbedDocks

    public static final QMainWindow.DockOption AllowTabbedDocks

  The user can drop one dock widget "on top" of another. The two widgets are stacked and a tab bar appears for selecting which one is visible.

### ForceTabbedDocks

    public static final QMainWindow.DockOption ForceTabbedDocks

  Each dock area contains a single stack of tabbed dock widgets. In other words, dock widgets cannot be placed next to each other in a dock area. If this option is set, `AllowNestedDocks` has no effect.

### VerticalTabs

    public static final QMainWindow.DockOption VerticalTabs

  The two vertical dock areas on the sides of the main window show their tabs vertically. If this option is not set, all dock areas show their tabs at the bottom. Implies `AllowTabbedDocks`.

Method Detail

### values

    public static final QMainWindow.DockOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMainWindow.DockOption c : QMainWindow.DockOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMainWindow.DockOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QMainWindow.DockOptions createQFlags(QMainWindow.DockOption... values)

### resolve

    public static QMainWindow.DockOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD